Items Assignments
Manage item assignments to segments
Retrieves category trees for the customer segments. Category trees are built based on only active segments.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$The parameter is utilized for searching in relation to the legalEntityId. Parameter is only taken into account when customer is assigned to more than one Legal Entity.
The parameter is utilized for searching in relation to the siteCode. Only items will be returned which are assigned to segment from given siteCode.
The Accept-Language request HTTP header defines which languages the client is able to understand, and which locale variant is preferred. If empty, the default system language is assumed. It can be a priority list working as a fallback mechanism.
Customer categories assignments were successfully retrieved.
Unique identifier of an existing category.
Unique code of an existing category.
List of external category numbers (ECNs) unique for every category.
Category's position, set in relation to the categories on the same level (sharing the same parent) in the tree.
Indicates whether the category has been published or not.
Indicates if the category is assigned to any segment.
Subcategories of this category.
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
GET /customer-segment/{tenant}/segments/items/category-trees HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": "12468504",
"code": "123",
"name": {
"en": "Tools"
},
"position": 0,
"published": true,
"isSegmentAssigned": false,
"subcategories": [
{
"id": "12468505",
"parentId": "12468504",
"code": "234",
"name": {
"en": "Hammer"
},
"localizedDescription": {
"en": "Basic and professional-grade hammers for construction and home improvement tasks."
},
"validity": {
"from": "2024-04-17T08:00:00.000Z",
"to": "2026-04-17T08:00:00.000Z"
},
"position": 1,
"published": true,
"isSegmentAssigned": true,
"subcategories": [
{
"id": "12468506",
"parentId": "12468505",
"code": "345",
"name": {
"en": "Sledgehammers"
},
"position": 2,
"published": true,
"isSegmentAssigned": true
}
]
}
]
}
]Retrieves all items assignments for all customer segments.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$A standard query parameter is used to search for specific values.
The number of documents to be retrieved per page.
The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.
List of properties used to sort the results, separated by colons.
Fields to be returned in the response.
The parameter is utilized for searching in relation to the legalEntityId. Parameter is only taken into account when customer is assigned to more than one Legal Entity.
The parameter is utilized for searching in relation to the siteCode. Only items will be returned which are assigned to segment from given siteCode.
The parameter is utilized for filtering items which belong only to active segments. The parameter is always true for users with customersegment.segment_read_own scope.
falseFlag indicating whether the total number of retrieved results should be returned.
The Accept-Language request HTTP header defines which languages the client is able to understand, and which locale variant is preferred. If empty, the default system language is assumed. It can be a priority list working as a fallback mechanism.
Customer items assignments were successfully retrieved.
Unique identifier of the customer segment.
Determines whether item is a PRODUCT or CATEGORY
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
GET /customer-segment/{tenant}/segments/items HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"segmentId": "segmentId",
"item": {
"id": "12468504",
"code": "123",
"name": {
"en": "Hammer"
}
},
"type": "PRODUCT",
"metadata": {
"createdAt": "2024-10-12T12:00:00.000Z",
"modifiedAt": "2024-10-12T12:00:00.000Z",
"version": 1
}
},
{
"segmentId": "segmentId",
"item": {
"id": "12849186",
"code": "456",
"name": {
"en": "Screwdriver"
}
},
"type": "PRODUCT",
"metadata": {
"createdAt": "2024-10-12T12:00:00.000Z",
"modifiedAt": "2024-10-12T12:00:00.000Z",
"version": 1
}
}
]Retrieves all item assignments for a given customer segment.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
A standard query parameter is used to search for specific values.
The number of documents to be retrieved per page.
The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.
List of properties used to sort the results, separated by colons.
Fields to be returned in the response.
The parameter is utilized for searching in relation to the legalEntityId. Parameter is only taken into account when customer is assigned to more than one Legal Entity.
Flag indicating whether the total number of retrieved results should be returned.
The Accept-Language request HTTP header defines which languages the client is able to understand, and which locale variant is preferred. If empty, the default system language is assumed. It can be a priority list working as a fallback mechanism.
Customer segment assignments were successfully retrieved.
Unique identifier of the customer segment.
Determines whether item is a PRODUCT or CATEGORY
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
GET /customer-segment/{tenant}/segments/{segmentId}/items HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"segmentId": "segmentId",
"item": {
"id": "12468504",
"code": "123",
"name": {
"en": "Hammer"
}
},
"type": "PRODUCT",
"metadata": {
"createdAt": "2024-10-12T12:00:00.000Z",
"modifiedAt": "2024-10-12T12:00:00.000Z",
"version": 1
}
},
{
"segmentId": "segmentId",
"item": {
"id": "12849186",
"code": "456",
"name": {
"en": "Screwdriver"
}
},
"type": "PRODUCT",
"metadata": {
"createdAt": "2024-10-12T12:00:00.000Z",
"modifiedAt": "2024-10-12T12:00:00.000Z",
"version": 1
}
}
]Retrieves all item assignments for a given customer segment.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
The number of documents to be retrieved per page.
The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.
List of properties used to sort the results, separated by colons.
Fields to be returned in the response.
The parameter is utilized for searching in relation to the legalEntityId. Parameter is only taken into account when customer is assigned to more than one Legal Entity.
Flag indicating whether the total number of retrieved results should be returned.
The Accept-Language request HTTP header defines which languages the client is able to understand, and which locale variant is preferred. If empty, the default system language is assumed. It can be a priority list working as a fallback mechanism.
A standard query parameter is used to search for specific values.
Customer segment assignments were successfully retrieved.
Unique identifier of the customer segment.
Determines whether item is a PRODUCT or CATEGORY
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
POST /customer-segment/{tenant}/segments/{segmentId}/items/search HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20
{
"q": "type:PRODUCT"
}[
{
"segmentId": "segmentId",
"item": {
"id": "12468504",
"code": "123",
"name": {
"en": "Hammer"
}
},
"type": "PRODUCT",
"metadata": {
"createdAt": "2024-10-12T12:00:00.000Z",
"modifiedAt": "2024-10-12T12:00:00.000Z",
"version": 1
}
},
{
"segmentId": "segmentId",
"item": {
"id": "12849186",
"code": "456",
"name": {
"en": "Screwdriver"
}
},
"type": "PRODUCT",
"metadata": {
"createdAt": "2024-10-12T12:00:00.000Z",
"modifiedAt": "2024-10-12T12:00:00.000Z",
"version": 1
}
}
]Retrieves an item assignment by specified ID for a given customer segment.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
Determines whether item is a product or category.
Unique identifier of an item which will be assigned to a customer segment.
Fields to be returned in the response.
The parameter is utilized for searching in relation to the legalEntityId. Parameter is only taken into account when customer is assigned to more than one Legal Entity.
The Accept-Language request HTTP header defines which languages the client is able to understand, and which locale variant is preferred. If empty, the default system language is assumed. It can be a priority list working as a fallback mechanism.
Customer segment item assignment was successfully retrieved.
Unique identifier of the customer segment.
Determines whether item is a PRODUCT or CATEGORY
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
Resource not found
GET /customer-segment/{tenant}/segments/{segmentId}/items/{type}/{itemId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"segmentId": "segmentId",
"item": {
"id": "12468504",
"code": "123",
"name": {
"en": "Hammer"
}
},
"type": "PRODUCT",
"metadata": {
"createdAt": "2024-10-12T12:00:00.000Z",
"modifiedAt": "2024-10-12T12:00:00.000Z",
"version": 1
}
}Performs UPSERT operation. Updates an item assignment to a customer segment. A new item assignment is created if it's not present in the system.
- : Needed to create or update customer segments.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
Determines whether item is a product or category.
Unique identifier of an item which will be assigned to a customer segment.
A new assignment was successfully created.
No content
Item assignment was successfully updated.
Bad request due to validation, incorrect parameters, etc.
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
Conflict
PUT /customer-segment/{tenant}/segments/{segmentId}/items/{type}/{itemId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 216
{
"mixins": {
"segmentAttributes": {
"membershipStatus": "PREMIUM"
}
},
"metadata": {
"mixins": {
"segmentAttributes": "https://res.cloudinary.com/saas-ag/raw/upload/emporix-docs/69537caeb3fd5d378296ae42_segmentAttributes.json"
}
}
}No content
Removes an item assignment.
- : Needed to create or update customer segments.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
Determines whether item is a product or category.
Unique identifier of an item which will be assigned to a customer segment.
Item assignment was successfully removed.
No content
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
DELETE /customer-segment/{tenant}/segments/{segmentId}/items/{type}/{itemId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Performs UPSERT operation. Updates multiple item assignments to a customer segments. The maximum batch size is 200.
- : Needed to create or update customer segments.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
Determines whether item is a product or category.
Unique identifier of an existing product/category (itemId).
Multi-status response.
Index of the processed item, matching the item position in request body.
HTTP Status Code.
HTTP Status description.
Error message.
Bad request due to validation, incorrect parameters, etc.
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
PUT /customer-segment/{tenant}/segments/{segmentId}/items/{type}/bulk HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 277
[
{
"id": "12468504",
"mixins": {
"segmentAttributes": {
"membershipStatus": "PREMIUM"
}
},
"metadata": {
"mixins": {
"segmentAttributes": "https://res.cloudinary.com/saas-ag/raw/upload/emporix-docs/69537caeb3fd5d378296ae42_segmentAttributes.json"
}
}
},
{
"id": "12849186",
"metadata": {
"version": 2
}
}
][
{
"index": 1,
"code": 204,
"status": "OK"
},
{
"index": 2,
"code": 400,
"status": "Bad Request",
"message": "Validation problem with request body."
}
]Removes multiple customer segments item assignments. The maximum batch size is 200.
The IDs of items should be defined in the request body as an array of strings. Example:
["firstItemId", "secondItemId", "thirdItemId"]
- : Needed to create or update customer segments.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
Determines whether item is a product or category.
Multi-status response.
Index of the processed item, matching the item position in request body.
HTTP Status Code.
HTTP Status description.
Error message.
Bad request due to validation, incorrect parameters, etc.
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
DELETE /customer-segment/{tenant}/segments/{segmentId}/items/{type}/bulk HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"index": 1,
"code": 204,
"status": "OK"
},
{
"index": 2,
"code": 204,
"status": "OK"
}
]Last updated
Was this helpful?

